#include "include/tools/terminate.h"
#include "mcp/include/mcp_tool.h"

namespace openmanus {

Terminate::Terminate()
    : ToolBase("Terminate", "当任务完成时调用此工具来结束执行。任务完成后必须调用此工具。") {
    // 使用tool_builder构建工具定义
    mcp::tool_builder builder("Terminate");
    builder.with_description("当任务完成时调用此工具来结束执行。任务完成后必须调用此工具。");
    mcp::tool tool = builder.build();
    
    // 从构建的工具中获取参数定义
    parameters_ = tool.parameters_schema;
}

mcp::json Terminate::execute(const mcp::json& params) {
    // 终止工具不需要任何参数，也不需要执行任何操作
    // 它的存在只是为了通知代理终止执行
    mcp::json result;
    result["message"] = "执行已终止";
    return result;
}

} // namespace openmanus 